低危 拒绝服务漏洞

CVE编号

CVE-2017-14173

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-09-07
漏洞描述
在ImageMagick 7.0.6-10中coders / txt.c中的函数ReadTXTImage()中,当'depth'很大时,加法运算'GetQuantumRange(depth)+1'可能会出现整数溢出,产生的值小于预期值。因此,对于声称具有非常大的“max_value”值的精简TXT文件,将发生无限循环。

解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/ImageMagick/ImageMagick/commit/48bcf7c39302cdf9b0d9202ad03bf1b95152c44d
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick 7.0.6-10 -
运行在以下环境
系统 debian_7 imagemagick * Up to
(excluding)
8:6.7.7.10-5+deb7u17
运行在以下环境
系统 debian_8 imagemagick * Up to
(excluding)
8:6.8.9.9-5+deb8u2
运行在以下环境
系统 debian_9 imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-11+deb9u10
运行在以下环境
系统 opensuse_Leap_42.2 imagemagick * Up to
(excluding)
6.8.8.1-40.1
运行在以下环境
系统 opensuse_Leap_42.3 imagemagick * Up to
(excluding)
6.8.8.1-40.1
运行在以下环境
系统 suse_11_SP4 imagemagick * Up to
(excluding)
6.4.3.6-7.78.14.1
运行在以下环境
系统 suse_12 ImageMagick * Up to
(excluding)
6.8.8.1-71.17
运行在以下环境
系统 suse_12_SP2 imagemagick * Up to
(excluding)
1-6.8.8.1-71.17.1
运行在以下环境
系统 suse_12_SP3 imagemagick * Up to
(excluding)
1-6.8.8.1-71.17.1
运行在以下环境
系统 ubuntu_14.04.6_lts imagemagick * Up to
(excluding)
8:6.7.7.10-6ubuntu3.11
运行在以下环境
系统 ubuntu_16.04 imagemagick * Up to
(excluding)
8:6.8.9.9-7ubuntu5.11
运行在以下环境
系统 ubuntu_16.04.7_lts imagemagick * Up to
(excluding)
8:6.8.9.9-7ubuntu5.11
运行在以下环境
系统 ubuntu_18.04 imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.2
运行在以下环境
系统 ubuntu_18.04.5_lts imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
CWE-835 不可达退出条件的循环(无限循环)
阿里云安全产品覆盖情况